org.codehaus.plexus.maven.plugin

## Class PlexusTestDescriptorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo
    - - org.codehaus.plexus.maven.plugin.PlexusTestDescriptorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class PlexusTestDescriptorMojo
    extends AbstractDescriptorMojo

Generates a Plexus `components.xml` component descriptor file from test source (javadoc) or test class annotations.

Since:
  1.3.4
Version:
  $Id: PlexusTestDescriptorMojo.java 6925 2007-10-01 04:35:26Z user57 $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from class org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo

`COMPILE_SCOPE, fileName, log, TEST_SCOPE`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PlexusTestDescriptorMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo

`generateDescriptor, getMavenProject, getMavenProjectHelper`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusTestDescriptorMojo

    public PlexusTestDescriptorMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`